This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 221238 - Anaconda failes to retrieve minstg2.img in XEN guest install
Anaconda failes to retrieve minstg2.img in XEN guest install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-03 00:53 EST by Hugo Steiner
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 10:18:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hugo Steiner 2007-01-03 00:53:06 EST
Description of problem:

Using virt-install (xenguest-install), all proceeds normally until anaconda
attempts to retrieve minstg2.img from HTTP install source.

Web server logs on Domain-0 (Acting as DHCP and HTTP server) show kernel and
initrd being retrieved. 

DHCP is seen issuing IP and receiving ACK from guest. No further logs are
generated and anaconda reports:
"Unable to retrieve http://10.1.1.51/install/images/minstg2.img"

A wget on any other host retrieves the image as expected.

Version-Release number of selected component (if applicable):
xen-libs-3.0.3-1.fc6
xen-libs-3.0.3-0.1.rc3
kernel-xen-2.6.18-1.2869.fc6
kernel-xen-2.6.18-1.2798.fc6
kernel-xen-2.6.18-1.2849.fc6
xen-3.0.3-1.fc6


How reproducible:
Every guest install attempt results in the same error.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Install output, followed by Logs:


[root@keep log]# virt-install -n diablo -r 256 -f /domains/diablo -s 8 -l
http://10.1.1.51/install
Would you like to enable graphics support? (yes or no) no


Starting install...
Linux version 2.6.18-1.2798.fc6xen (brewbuilder@hs20-bc2-4.build.redhat.com)
(gcc version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Mon Oct 16 15:11:19 EDT 2006
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 0000000010800000 (usable)
0MB HIGHMEM available.
264MB LOWMEM available.
NX (Execute Disable) protection: active
ACPI in unprivileged domain disabled
Built 1 zonelists.  Total pages: 67584
Kernel command line:   method=http://10.1.1.51/install
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c078a000 soft=c076a000
PID hash table entries: 2048 (order: 11, 8192 bytes)
Xen reported: 3058.992 MHz processor.
Console: colour dummy device 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Software IO TLB disabled
vmalloc area: d1000000-f4ffe000, maxmem 2d7fe000
Memory: 246844k/270336k available (2097k kernel code, 14988k reserved, 840k
data, 180k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 7655.16 BogoMIPS (lpj=15310322)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 12k freed
Brought up 1 CPUs
checking if image is initramfs... it is
Freeing initrd memory: 7442k freed
Grant table initialized
NET: Registered protocol family 16
Brought up 1 CPUs
PCI: setting up Xen PCI frontend stub
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
xen_mem: Initialising balloon driver.
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: System does not support PCI
PCI: System does not support PCI
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 6, 327680 bytes)
TCP bind hash table entries: 8192 (order: 5, 163840 bytes)
TCP: Hash tables configured (established 16384 bind 8192)
TCP reno registered
IA-32 Microcode Update Driver: v1.14-xen <tigran@veritas.com>
audit: initializing netlink socket (disabled)
audit(1167799501.323:1): initialized
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 8BDC589434DBC709
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
rtc: IRQ 8 is not free.
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Xen virtual console successfully installed as xvc0
Linux version 2.6.18-1.2798.fc6xen (brewbuilder@hs20-bc2-4.build.redhat.com)
(gcc version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Mon Oct 16 15:11:19 EDT 2006
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 0000000010800000 (usable)
0MB HIGHMEM available.
264MB LOWMEM available.
NX (Execute Disable) protection: active
ACPI in unprivileged domain disabled
Built 1 zonelists.  Total pages: 67584
Kernel command line:   method=http://10.1.1.51/install
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c078a000 soft=c076a000
PID hash table entries: 2048 (order: 11, 8192 bytes)
Xen reported: 3058.992 MHz processor.
Console: colour dummy device 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Software IO TLB disabled
vmalloc area: d1000000-f4ffe000, maxmem 2d7fe000
Memory: 246844k/270336k available (2097k kernel code, 14988k reserved, 840k
data, 180k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 7655.16 BogoMIPS (lpj=15310322)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 12k freed
Brought up 1 CPUs
checking if image is initramfs... it is
Freeing initrd memory: 7442k freed
Grant table initialized
NET: Registered protocol family 16
Brought up 1 CPUs
PCI: setting up Xen PCI frontend stub
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
xen_mem: Initialising balloon driver.
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: System does not support PCI
PCI: System does not support PCI
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 6, 327680 bytes)
TCP bind hash table entries: 8192 (order: 5, 163840 bytes)
TCP: Hash tables configured (established 16384 bind 8192)
TCP reno registered
IA-32 Microcode Update Driver: v1.14-xen <tigran@veritas.com>
audit: initializing netlink socket (disabled)
audit(1167799501.323:1): initialized
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 8BDC589434DBC709
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
rtc: IRQ 8 is not free.
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Xen virtual console successfully installed as xvc0
Event-channel device installed.
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 50MHz system bus speed for PIO modes; override with idebus=xx
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: No PS/2 controller found. Probing ports directly.
i8042.c: No controller found.
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI No-Shortcut mode
XENBUS: Device with no driver: device/vbd/51712
XENBUS: Device with no driver: device/vif/0
Freeing unused kernel memory: 180k freed
Write protecting the kernel read-only data: 356k
Greetings.
anaconda installer init version 11.1.1.3 starting
mounting /proc filesystem... done
creating /dev filesystem... done
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
anaconda installer init version 11.1.1.3 using /dev/xvc0 as console
trying to remount root filesystem read write... done
mounting /tmp as ramfs... done
running install...
running /sbin/loader




----
LOGS
----

Xen logs:

[2007-01-03 15:45:00 xend.XendDomainInfo 2902] DEBUG (XendDomainInfo:190)
XendDomainInfo.create(['vm', ['name', 'diablo'], ['memory', '256'], ['maxmem',
'256'], ['vcpus', '1'], ['uuid', '3095289f-e517-900c-8a17-b3386e02c317'],
['on_poweroff', 'destroy'], ['on_reboot', 'destroy'], ['on_crash', 'destroy'],
['image', ['linux', ['kernel', '/var/lib/xen/vmlinuz.s9LAAc'], ['ramdisk',
'/var/lib/xen/initrd.img.cm78HT'], ['args', ' method=http://10.1.1.51/install 
']]], ['device', ['tap', ['dev', 'xvda'], ['uname', 'tap:aio:/domains/diablo'],
['mode', 'w']]], ['device', ['vif', ['mac', '00:16:3e:66:4d:27'], ['bridge',
'xenbr0'], ['script', '/etc/xen/scripts/vif-bridge']]]])
[2007-01-03 15:45:00 xend.XendDomainInfo 2902] DEBUG (XendDomainInfo:296)
parseConfig: config is ['vm', ['name', 'diablo'], ['memory', '256'], ['maxmem',
'256'], ['vcpus', '1'], ['uuid', '3095289f-e517-900c-8a17-b3386e02c317'],
['on_poweroff', 'destroy'], ['on_reboot', 'destroy'], ['on_crash', 'destroy'],
['image', ['linux', ['kernel', '/var/lib/xen/vmlinuz.s9LAAc'], ['ramdisk',
'/var/lib/xen/initrd.img.cm78HT'], ['args', ' method=http://10.1.1.51/install 
']]], ['device', ['tap', ['dev', 'xvda'], ['uname', 'tap:aio:/domains/diablo'],
['mode', 'w']]], ['device', ['vif', ['mac', '00:16:3e:66:4d:27'], ['bridge',
'xenbr0'], ['script', '/etc/xen/scripts/vif-bridge']]]]
[2007-01-03 15:45:00 xend.XendDomainInfo 2902] DEBUG (XendDomainInfo:395)
parseConfig: result is {'shadow_memory': None, 'uuid':
'3095289f-e517-900c-8a17-b3386e02c317', 'on_crash': 'destroy', 'on_reboot':
'destroy', 'localtime': None, 'image': ['linux', ['kernel',
'/var/lib/xen/vmlinuz.s9LAAc'], ['ramdisk', '/var/lib/xen/initrd.img.cm78HT'],
['args', ' method=http://10.1.1.51/install  ']], 'on_poweroff': 'destroy',
'bootloader_args': None, 'cpus': None, 'name': 'diablo', 'backend': [], 'vcpus':
1, 'cpu_weight': None, 'features': None, 'vcpu_avail': None, 'memory': 256,
'device': [('tap', ['tap', ['dev', 'xvda'], ['uname',
'tap:aio:/domains/diablo'], ['mode', 'w']]), ('vif', ['vif', ['mac',
'00:16:3e:66:4d:27'], ['bridge', 'xenbr0'], ['script',
'/etc/xen/scripts/vif-bridge']])], 'bootloader': None, 'cpu': None, 'maxmem': 256}
[2007-01-03 15:45:00 xend.XendDomainInfo 2902] DEBUG (XendDomainInfo:1253)
XendDomainInfo.construct: None
[2007-01-03 15:45:00 xend.XendDomainInfo 2902] DEBUG (XendDomainInfo:1285)
XendDomainInfo.initDomain: 8 1.0
[2007-01-03 15:45:00 xend 2902] INFO (image:214) configuring linux guest
[2007-01-03 15:45:00 xend 2902] DEBUG (balloon:127) Balloon: 263336 KiB free;
need 262144; done.
[2007-01-03 15:45:00 xend 2902] INFO (image:138) buildDomain os=linux dom=8 vcpus=1
[2007-01-03 15:45:00 xend 2902] DEBUG (image:193) dom            = 8
[2007-01-03 15:45:00 xend 2902] DEBUG (image:194) image          =
/var/lib/xen/vmlinuz.s9LAAc
[2007-01-03 15:45:00 xend 2902] DEBUG (image:195) store_evtchn   = 1
[2007-01-03 15:45:00 xend 2902] DEBUG (image:196) console_evtchn = 2
[2007-01-03 15:45:00 xend 2902] DEBUG (image:197) cmdline        =  
method=http://10.1.1.51/install
[2007-01-03 15:45:00 xend 2902] DEBUG (image:198) ramdisk        =
/var/lib/xen/initrd.img.cm78HT
[2007-01-03 15:45:00 xend 2902] DEBUG (image:199) vcpus          = 1
[2007-01-03 15:45:00 xend 2902] DEBUG (image:200) features       =
[2007-01-03 15:45:00 xend 2902] DEBUG (blkif:24) exception looking up device
number for xvda: [Errno 2] No such file or directory: '/dev/xvda'
[2007-01-03 15:45:00 xend 2902] DEBUG (DevController:110) DevController: writing
{'backend-id': '0', 'virtual-device': '51712', 'device-type': 'disk', 'state':
'1', 'backend': '/local/domain/0/backend/tap/8/51712'} to
/local/domain/8/device/vbd/51712.
[2007-01-03 15:45:00 xend 2902] DEBUG (DevController:112) DevController: writing
{'domain': 'diablo', 'frontend': '/local/domain/8/device/vbd/51712', 'dev':
'xvda', 'state': '1', 'params': 'aio:/domains/diablo', 'mode': 'w', 'online':
'1', 'frontend-id': '8', 'type': 'tap'} to /local/domain/0/backend/tap/8/51712.
[2007-01-03 15:45:00 xend 2902] DEBUG (DevController:110) DevController: writing
{'backend-id': '0', 'mac': '00:16:3e:66:4d:27', 'handle': '0', 'state': '1',
'backend': '/local/domain/0/backend/vif/8/0'} to /local/domain/8/device/vif/0.
[2007-01-03 15:45:00 xend 2902] DEBUG (DevController:112) DevController: writing
{'bridge': 'xenbr0', 'domain': 'diablo', 'handle': '0', 'script':
'/etc/xen/scripts/vif-bridge', 'state': '1', 'frontend':
'/local/domain/8/device/vif/0', 'mac': '00:16:3e:66:4d:27', 'online': '1',
'frontend-id': '8'} to /local/domain/0/backend/vif/8/0.
[2007-01-03 15:45:00 xend.XendDomainInfo 2902] DEBUG (XendDomainInfo:712)
Storing VM details: {'shadow_memory': '0', 'uuid':
'3095289f-e517-900c-8a17-b3386e02c317', 'on_reboot': 'destroy', 'start_time':
'1167799500.86', 'on_poweroff': 'destroy', 'name': 'diablo',
'xend/restart_count': '0', 'vcpus': '1', 'vcpu_avail': '1', 'memory': '256',
'on_crash': 'destroy', 'image': "(linux (kernel /var/lib/xen/vmlinuz.s9LAAc)
(ramdisk /var/lib/xen/initrd.img.cm78HT) (args ' method=http://10.1.1.51/install
 '))", 'maxmem': '256'}
[2007-01-03 15:45:00 xend.XendDomainInfo 2902] DEBUG (XendDomainInfo:747)
Storing domain details: {'console/ring-ref': '143770', 'console/port': '2',
'name': 'diablo', 'console/limit': '1048576', 'vm':
'/vm/3095289f-e517-900c-8a17-b3386e02c317', 'domid': '8', 'cpu/0/availability':
'online', 'memory/target': '262144', 'store/ring-ref': '143771', 'store/port': '1'}
[2007-01-03 15:45:00 xend.XendDomainInfo 2902] DEBUG (XendDomainInfo:933)
XendDomainInfo.handleShutdownWatch
[2007-01-03 15:45:00 xend 2902] DEBUG (DevController:143) Waiting for devices vif.
[2007-01-03 15:45:00 xend 2902] DEBUG (DevController:149) Waiting for 0.
[2007-01-03 15:45:00 xend 2902] DEBUG (DevController:464) hotplugStatusCallback
/local/domain/0/backend/vif/8/0/hotplug-status.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:464) hotplugStatusCallback
/local/domain/0/backend/vif/8/0/hotplug-status.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:478) hotplugStatusCallback 1.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:143) Waiting for devices usb.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:143) Waiting for devices vbd.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:143) Waiting for devices irq.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:143) Waiting for devices pci.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:143) Waiting for devices
ioports.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:143) Waiting for devices tap.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:149) Waiting for 51712.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:464) hotplugStatusCallback
/local/domain/0/backend/tap/8/51712/hotplug-status.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:478) hotplugStatusCallback 1.
[2007-01-03 15:45:01 xend 2902] DEBUG (DevController:143) Waiting for devices vtpm.
[2007-01-03 15:45:01 xend 2902] INFO (XendDomain:370) Domain diablo (8) unpaused.




System Logs:

[Wed Jan 03 15:45:00 2007] [error] [client 10.1.1.51] (70014)End of file found:
mod_mime_magic: read failed from uncompress of
/var/www/html/install/images/xen/vmlinuz
10.1.1.51 - - [03/Jan/2007:15:45:00 +1100] "GET /install/images/xen/initrd.img
HTTP/1.1" 200 5949162 "-" "urlgrabber/2.9.9"
10.1.1.51 - - [03/Jan/2007:15:45:00 +1100] "GET /install/images/xen/vmlinuz
HTTP/1.1" 200 1728127 "-" "urlgrabber/2.9.9"
Jan  3 15:45:00 keep kernel: tap tap-8-51712: 2 getting info
Jan  3 15:45:01 keep kernel: device vif8.0 entered promiscuous mode
Jan  3 15:45:01 keep kernel: audit(1167799501.039:19): dev=vif8.0 prom=256
old_prom=0 auid=4294967295
Jan  3 15:45:01 keep kernel: ADDRCONF(NETDEV_UP): vif8.0: link is not ready
Jan  3 15:45:09 keep kernel: ADDRCONF(NETDEV_CHANGE): vif8.0: link becomes ready
Jan  3 15:45:09 keep kernel: xenbr0: port 3(vif8.0) entering learning state
Jan  3 15:45:09 keep kernel: xenbr0: topology change detected, propagating
Jan  3 15:45:09 keep kernel: xenbr0: port 3(vif8.0) entering forwarding state
Jan  3 15:45:18 keep dhcpd: DHCPDISCOVER from 00:16:3e:66:4d:27 via eth0
Jan  3 15:45:19 keep dhcpd: DHCPOFFER on 10.1.1.193 to 00:16:3e:66:4d:27 via eth0
Jan  3 15:45:19 keep dhcpd: Wrote 10 leases to leases file.
Jan  3 15:45:19 keep dhcpd: DHCPREQUEST for 10.1.1.193 (10.1.1.51) from
00:16:3e:66:4d:27 via eth0
Jan  3 15:45:19 keep dhcpd: DHCPACK on 10.1.1.193 to 00:16:3e:66:4d:27 via eth0
Comment 1 Hugo Steiner 2007-01-03 03:58:35 EST
User error: resolved issue with iptables that allowed everything but HTTP to
Domain-0

Note You need to log in before you can comment on or make changes to this bug.